![SEM-DISNET](diagrams/SEM-DISNET_logo.png)
 
## Purpose and scope
 
The purpose of the SEM-DISNET ontology is to develop a semantic knowledge base around the biomedical concepts related to diseases present in DISNET
database. This ontology would represent the information gathered in the DISNET4 database about biomedical entities and the associations between them. 
 
The scope or range of SEM-DISNET included:
- **Biomedical concepts:** Disease, drug, gene, protein, target, variant, pathway, organism, phenotype.  
- **Associations of concepts:** Relationships between two concepts, whereas therapeutic, marker, interaction, among others.  
   
## Vocabulary development

This ontology is developed following the guidelines provided by the [LOT methodology](https://lot.linkeddata.es/). 

## Requirements

The requirements used to validate SEM-DISNET ontology involve activities that lead to define the requirements that the ontology must meet.
The list of Competency Questions are used as a test once the ontology modelling process is complete. 

This questions are based on the needs of finding relationships between biomedical concepts. The integration and analysis of these data allow 
the discovery of new patterns of association between genes, drugs and their targets.

The requirements for this ontology can be found [here](https://medal.ctb.upm.es/internal/gitlab/disnet/sem-disnet/blob/master/requirements/requirements-semdisnet.xlsx)
and are specified with an identifier and provenance. They can also be visualized [here](https://drugs4covid.github.io/EBOCA-portal/requirements/requirements-semdisnet.html).

## Ontology model

SEM-DISNET ontology diagram shows an overview of the Classes and their principal attributes, as well as the principal Object Properties. 
This diagram follows the [Chowlk notation](https://chowlk.linkeddata.es/). For a better visualization, the different parts of the diagram can 
be found disaggregated [here](diagrams/). 

![diagram](diagrams/SEM-DISNET_ontology.png)

## Ontology (OWL)

The encoded ontology can be found [here](ontology/SEM-DISNET_ontology.owl).

## Documentation

SEM-DISNET Documentation was generated using [WIDOCO](https://github.com/oeg-upm/Widoco) software. 

The whole documentation can be found [here](SEM-DISNET%20Documentation/). This folder includes:
- **OOPS! Evaluation**: folder with the HTML page generated by [OOPS!](https://github.com/oeg-upm/oops-plugin) for the evaluation of the ontology.
- **Provenance**: folder with the provenance section of the documentation.
- **Resources**: folder with the different resources.
- Documentation HTML page can be found [here](SEM-DISNET%20Documentation/index-en.html)
- Encoded ontology in different formats.

## Contribute

The management of issues and improvements suggested for this vocabulary is done by addressing [issues](https://medal.ctb.upm.es/internal/gitlab/disnet/sem-disnet/issues)
in the repository. If you are interested in collaborate with us in a new version of the language or send us an email.

## Authors

- Andrea Álvarez Pérez
- Lucía Prieto Santamaría
- Alejandro Rodríguez González

MEDAL - DISNET 


